Package org.apache.sling.installer.core.impl.console

# Class OsgiInstallerWebConsolePlugin

java.lang.Object
jakarta.servlet.GenericServlet
org.apache.sling.installer.core.impl.console.OsgiInstallerWebConsolePlugin

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class OsgiInstallerWebConsolePlugin extends jakarta.servlet.GenericServlet

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`LABEL`
`protected static final String`
`RES_LOC`

## Constructor Summary

Constructors
Constructor
Description
`OsgiInstallerWebConsolePlugin()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`escapeXml(String input)`
Copied from org.apache.sling.api.request.ResponseUtil Escape XML text
`void`
`printConfiguration(PrintWriter pw, String mode)`
Method for the configuration printer.
`void`
`service(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res)`

### Methods inherited from class jakarta.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### LABEL

public static final String LABEL

See Also:
  - Constant Field Values

### RES_LOC

protected static final String RES_LOC

See Also:
  - Constant Field Values

## Constructor Details

### OsgiInstallerWebConsolePlugin

public OsgiInstallerWebConsolePlugin()

## Method Details

### service

public void service(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res) throws IOException

Specified by:
  `service` in interface `jakarta.servlet.Servlet`
Specified by:
  `service` in class `jakarta.servlet.GenericServlet`
Throws:
  `IOException`

### printConfiguration

public void printConfiguration(PrintWriter pw, String mode)
Method for the configuration printer.

### escapeXml

protected String escapeXml(String input)
Copied from org.apache.sling.api.request.ResponseUtil Escape XML text

Parameters:
  `input` - The input text
Returns:
  The escaped text